View Issue Details

IDProjectCategoryView StatusLast Update
0001727RackTablesdefaultpublic2017-05-15 18:50
ReporterinfrastationAssigned Toinfrastation 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.12 
Target Version0.20.14Fixed in Version0.20.14 
Summary0001727: replace GRANT with CREATE USER
DescriptionThe following files use or suggest to use GRANT ALL PRIVILEGES:
* tests/README.md
* tests/UpgradeTest.php
* tests/travis_setup_mysql.sh
* wwwroot/inc/install.php

It turns out at some point in time this will stop to work:
mysql> SHOW WARNINGS;
+---------+------+------------------------------------------------------------------------------------------------------------------------------------+
| Level   | Code | Message                                                                                                                            |
+---------+------+------------------------------------------------------------------------------------------------------------------------------------+
| Warning | 1287 | Using GRANT for creating new user is deprecated and will be removed in future release. Create new user with CREATE USER statement. |
+---------+------+------------------------------------------------------------------------------------------------------------------------------------+
1 row in set (0.00 sec)

The job here is to read the documentation and switch to the more modern syntax.
TagsNo tags attached.

Activities

infrastation

infrastation

2017-05-15 18:50

administrator   ~0003617

The current MySQL documentation suggests to use two statements (CREATE USER and GRANT) instead of one combined GRANT. The current code now implements this in the suggestions it makes.

Issue History

Date Modified Username Field Change
2017-02-08 19:15 infrastation New Issue
2017-02-13 19:10 infrastation Description Updated View Revisions
2017-05-15 18:50 infrastation Assigned To => infrastation
2017-05-15 18:50 infrastation Severity minor => text
2017-05-15 18:50 infrastation Status new => closed
2017-05-15 18:50 infrastation Resolution open => fixed
2017-05-15 18:50 infrastation Fixed in Version => 0.20.14
2017-05-15 18:50 infrastation Target Version => 0.20.14
2017-05-15 18:50 infrastation Note Added: 0003617